Skip to main content
GET /api/v1/account/spot_asset/withdraw/history

Query Parameters

FieldTypeNeedDescriptionExample
”account”stringrequiredUser’s wallet address42trU9A5…
“limit”integeroptionalMaximum number of records to return, defaults to system defined limit100
”cursor”stringoptionalCursor for pagination. Default to none1115hVka
/api/v1/account/spot_asset/withdraw/history?account=42trU9A5...

Response

  • Status 200: Successfully retrieved spot withdrawal history
{
  "success": true,
  "data": [
    {
      "symbol": "SOL",
      "amount": "1.00000000",
      "batch_nonce": 42,
      "transaction_id": "5xGk...",
      "created_at": 1716200000000
    }
    ...
  ],
  "next_cursor": "11114Lz77",
  "has_more": true
}
FieldTypeDescription
'symbol'stringSpot asset symbol
'amount'decimal stringAmount withdrawn
'batch_nonce'integerNonce of the withdrawal batch
'transaction_id'stringOn-chain transaction identifier
'created_at'integerTimestamp in milliseconds of when the withdrawal occurred
'next_cursor'stringNext cursor for pagination
'has_more'booleanTrue if there exists a 'next_cursor'
  • Status 400: Invalid request parameters
  • Status 401: Unauthorized access
  • Status 500: Internal server error

Code Example (Python)

import requests

response = requests.get(
    "/api/v1/account/spot_asset/withdraw/history",
    params={"account": "42trU9A5..."},
    headers={"Accept": "*/*"},
)

data = response.json()